%define man2html man2html3.0.1

Name: slashdoc-man-pages
Summary: Man pages formatted into the /doc tree
Version: 1.35
Release: 1
Copyright: Unknown
Group: Documentation
Source0: ftp://ftp.win.tue.nl/pub/linux-local/manpages/man-pages-%{version}.tar.gz
Source1: %{man2html}.tar.gz
Source2: slashdoc-system
BuildRoot: /tmp/slashdoc-man-pages-buildroot
BuildArch: noarch
URL: http://em.ca/~bruceg/slashdoc/
Packager: Bruce Guenter <bruceg@em.ca>
Requires: slashdoc

%description
The standard Linux man pages formatted into HTML and placed in the
standard /doc tree described at http://cr.yp.to/slashdoc.html.

%prep
%setup -n man-pages-%{version}
tar -xzf %{SOURCE1}

%build
sed -e 's|/usr/local|/usr|g' %{man2html}/man2html >slashdoc-man2html
chmod +x slashdoc-man2html
PWD=`pwd`
%{SOURCE2} $PWD $PWD

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/doc
cp -a doc/SYSTEM doc/merge $RPM_BUILD_ROOT/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
slashdoc-merge

%postun
slashdoc-merge

%files
%defattr(-,root,root)
/doc/SYSTEM
/doc/merge/SYSTEM
